Create Applicant Files: Entrata
https://api.propexo.com/v1/applicants/entrata/:applicant_id/file-upload| Method |
|---|
| leases/sendLeaseDocuments |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the applicant
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the application
attachments object[]required
Files to upload for the applicant. All the files can have a maximum combined file size of 50 MB
The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
The Propexo file type ID of the file type to upload
If the file should be marked as private. If true the file will not be shown in the resident portal.
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the applicant
The Propexo unique identifier for the application
attachments object[]required
The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
The Propexo file type ID of the file type to upload
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/applicants/entrata/:applicant_id/file-upload \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"application_id": "string",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"file_type_id": "string",
"is_private": true
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"application_id": "string",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"file_type_id": "string",
"is_private": true
}
]
}
}